Bug 57921 - smp version of 2.4.7-10 hangs at boot on GA-5AA motherboard
smp version of 2.4.7-10 hangs at boot on GA-5AA motherboard
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-01-01 15:17 EST by Jón Fairbairn
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 20:05:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jón Fairbairn 2002-01-01 15:17:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3-0.4.cl i686; Nav)

Description of problem:
Having upgraded to 7.2 from 7.1 the installer made 2.4.7-10smp the default
kernel to boot. This kernel seems to start up OK but hangs after displaying
the "Press I for interactive startup" message.

Version-Release number of selected component (if applicable): 2.4.7-10smp

How reproducible:

Steps to Reproduce:
1. reset
2. select smp kernel
3. let it boot

Actual Results:  Hangs before running the init scripts.

Expected Results:  It should just work!

Additional info:

If I select the non-smp version it works fine. This doesn't bother me as
it's a single processor board, but since the smp kernel is the default
after installation, this might be a significant problem for other folk.

Motherboard is GA-5AA F3
Processor: AMD K6/300
BIOS blurb:
Comment 1 Jón Fairbairn 2002-01-24 13:36:29 EST
Arguably this is a bug in the installer, too. (I can't see how to reassign the
bug -- wasn't there once a button on the form for this?)

For the installer to use an smp kernel isn't ideal at the best of times, and
it's definitely not cool if it stops it booting.

As far as the kernel goes, I get similar problems with 2.4.9-13 on another
motherboard: enabling smp (an accident when compiling) stopped it running the
init scripts.
Comment 2 Alan Cox 2003-06-07 20:05:20 EDT
Should be fixed with newer kernels - they now don't simply believe the bios when
it claims dual CPU 8)

Note You need to log in before you can comment on or make changes to this bug.